package com.game.business.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.game.business.domain.AppUserCount;
import com.game.business.mapper.AppUserCountMapper;
import com.game.business.service.IAppUserCountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

@Service
public class AppUserCountServiceImpl extends ServiceImpl<AppUserCountMapper, AppUserCount> implements IAppUserCountService {

    @Autowired
    private AppUserCountMapper appUserCountMapper;

    @Override
    public List<AppUserCount> getAppUserCount(long userId,String beginTime,String endTIme) {
        LambdaQueryWrapper<AppUserCount> queryWrapper = new LambdaQueryWrapper<AppUserCount>();
        queryWrapper.between(AppUserCount::getStrDate,beginTime,endTIme);
        queryWrapper.eq(AppUserCount::getUserId,userId);
        return appUserCountMapper.selectList(queryWrapper);
    }

    @Override
    @Async
    public void createAppUserCount(AppUserCount appUserCount) {
        //查询当前用户当日是否已经生成记录
        LambdaQueryWrapper<AppUserCount> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(AppUserCount::getStrDate,appUserCount.getStrDate());
        queryWrapper.eq(AppUserCount::getUserId,appUserCount.getUserId());
        AppUserCount userCount = appUserCountMapper.selectOne(queryWrapper);
        int res = 0;
        if(userCount==null) {
            res = appUserCountMapper.insert(appUserCount);
        }else{
            appUserCount.setId(userCount.getId());
            res = appUserCountMapper.updateById(appUserCount);
        }
    }

}
