package com.game.business.vo;

import cn.hutool.core.collection.ListUtil;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.game.business.domain.AppGameCommission;
import com.game.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
@ApiModel("代理团队")
public class AppAgentTeamVo {

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "上级id")
    private Long pid;

    @ApiModelProperty(value = "昵称")
    private String nickName;

    @ApiModelProperty(value = "投注金额")
    private double bettingAmount;

    @ApiModelProperty(value = "返点")
    private double commission;

    @ApiModelProperty(value = "盈亏")
    private double gameAmount;

    /** 直播分成比例 */
    @ApiModelProperty(value = "直播分成比例")
    private Long liveRate;

    /** 保底分红比例 */
    @ApiModelProperty(value = "保底分红比例")
    private Long dividendGuaranteeRate;

    @ApiModelProperty(value = "游戏比例设置")
    private List<AppGameCommission> gameCommissionList = ListUtil.empty();

}
